Subject: Re: [Curdle] [Gen-art] Genart last call review of draft-ietf-curdle-ssh-ed25519-ed448-07

From: Alissa Cooper <[email-masked]>
Date: Tue, 6 Aug 2019 13:38:39 -0400

Linda, thanks for your review. The IANA registries into which this document makes new registrations follow the IETF Review policy, which requires an RFC published in the IETF stream. Arguably it could have been informational but I don’t see a down side to publishing it on the standards track.

I entered a No Objection ballot.

Alissa

> On Jan 6, 2019, at 10:50 PM, Linda Dunbar <[email-masked]> wrote:
> 
> Reviewer: Linda Dunbar
> Review result: Ready with Issues
> 
> I am the assigned Gen-ART reviewer for this draft. The General Area
> Review Team (Gen-ART) reviews all IETF documents being processed
> by the IESG for the IETF Chair.  Please treat these comments just
> like any other last call comments.
> 
> For more information, please see the FAQ at
> 
> <https://trac.ietf.org/trac/gen/wiki/GenArtfaq>.
> 
> Document: draft-ietf-curdle-ssh-ed25519-ed448-??
> Reviewer: Linda Dunbar
> Review Date: 2019-01-06
> IETF LC End Date: 2019-01-04
> IESG Telechat date: Not scheduled for a telechat
> 
> Summary:
> 
> This document proposes two names for public key algorithms (which are specified
> by other RFCs): ssh-ed25519 & ssh-ed448
> 
> Major issues:
> 
> There is no "Standard" being specified by this document. The document has a few
> sentences to explain "public key algorithm for use with SSH in accordance with
> RFC4253, RFC4251" and give a name. and One sentence to say "Signatures are
> generated according to the procedure in RFC8032".
> 
> I don't understand why it is "Standard Track" document, non do I understand why
> it is a WG document. Does it take a whole WG to come out with a name for an
> algorithm specified in an RFC?
> 
> Minor issues:
> 
> Nits/editorial comments:
> 
> Linda Dunbar
> 
> _______________________________________________
> Gen-art mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/gen-art

---

From: Linda Dunbar <[email-masked]>
Date: Tue, 6 Aug 2019 18:11:28 +0000

Okay. 

Linda

-----Original Message-----
From: Gen-art <[email-masked]> On Behalf Of Alissa Cooper
Sent: Tuesday, August 06, 2019 12:39 PM
To: Linda Dunbar <[email-masked]>
Cc: [email-masked]; [email-masked]; [email-masked]; [email-masked]
Subject: Re: [Gen-art] Genart last call review of draft-ietf-curdle-ssh-ed25519-ed448-07

Alissa

> Review Team (Gen-ART) reviews all IETF documents being processed by 
> the IESG for the IETF Chair.  Please treat these comments just like 
> any other last call comments.
> 
> <https://nam03.safelinks.protection.outlook.com/?url=https%3A%2F%2Ftrac.ietf.org%2Ftrac%2Fgen%2Fwiki%2FGenArtfaq&amp;data=02%7C01%7Clinda.dunbar%40futurewei.com%7C98465a5acec74b1efb1708d71a94f05d%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C637007099313299154&amp;sdata=eIsjC7nX9l%2FiZAeTEYVV567FwmzE1PeohGsco6zt7jU%3D&amp;reserved=0>.
> 
> This document proposes two names for public key algorithms (which are 
> specified by other RFCs): ssh-ed25519 & ssh-ed448
> 
> Major issues:
> 
> There is no "Standard" being specified by this document. The document 
> has a few sentences to explain "public key algorithm for use with SSH 
> in accordance with RFC4253, RFC4251" and give a name. and One sentence 
> to say "Signatures are generated according to the procedure in RFC8032".
> 
> I don't understand why it is "Standard Track" document, non do I 
> understand why it is a WG document. Does it take a whole WG to come 
> out with a name for an algorithm specified in an RFC?
> 
> Minor issues:
> 
> Nits/editorial comments:
> 
> Linda Dunbar
> 
> https://nam03.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.
> ietf.org%2Fmailman%2Flistinfo%2Fgen-art&amp;data=02%7C01%7Clinda.dunba
> r%40futurewei.com%7C98465a5acec74b1efb1708d71a94f05d%7C0fee8ff2a3b2401
> 89c753a1d5591fedc%7C1%7C0%7C637007099313309151&amp;sdata=g%2Bqg0EdXWiE
> vQc5iSfj9jz1gsTCSYqM%2FOuwDM7I4s3k%3D&amp;reserved=0

_______________________________________________
Gen-art mailing list
[email-masked]
https://nam03.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.ietf.org%2Fmailman%2Flistinfo%2Fgen-art&amp;data=02%7C01%7Clinda.dunbar%40futurewei.com%7C98465a5acec74b1efb1708d71a94f05d%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C637007099313309151&amp;sdata=g%2Bqg0EdXWiEvQc5iSfj9jz1gsTCSYqM%2FOuwDM7I4s3k%3D&amp;reserved=0